<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::RenderQueue Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#591e66972499413f4f911ab3dfcf0412">_getQueueGroupIterator</a>(void)</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#edb30e0dd6cd6db7f74650d311a68013">addRenderable</a>(Renderable *pRend, uint8 groupID, ushort priority)</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#8b67aff41b50d24cef0420871ce6f3af">addRenderable</a>(Renderable *pRend, uint8 groupId)</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#cc8caa5feac9cee401f34f5aa1918d0d">addRenderable</a>(Renderable *pRend)</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#7351e9922649a71a54fb5b0ccfb525c4">clear</a>(bool destroyPassMaps=false)</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#b263254bd0c13a91c44d5fafd18c16c3">getDefaultQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#3903367113d6a51591ad16faeb17e8e0">getDefaultRenderablePriority</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#6d85342418d78d733f887530e73da1c0">getQueueGroup</a>(uint8 qid)</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#0833e163d52c2fffef84dfe81af1606a">getRenderableListener</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#7166e043e0913cb1e08e4737befce3f6">mDefaultQueueGroup</a></td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#f1e1472401b4e1d24676e60d41b4705d">mDefaultRenderablePriority</a></td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#af91a53059c0a0f61c07d3a0753a3bfe">mGroups</a></td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#dd07814ff649c3a7a914fa3961a83a3d">mRenderableListener</a></td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#bfb15a31918778ed0e0c74aacf3358f6">mShadowCastersCannotBeReceivers</a></td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#66986fa9c851664d568e3dbb5a2d40cb">mSplitNoShadowPasses</a></td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#f5adba44e7d9c936efcb35d389d5bb58">mSplitPassesByLightingType</a></td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#4cf42f3f073ba37a87a555e37143ed1e">QueueGroupIterator</a> typedef</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#5454a3907c8ce62ab9454b7e4e6ef818">RenderQueue</a>()</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#13888e99247750aefc38fee2e106c2b9">RenderQueueGroupMap</a> typedef</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#ee86531136c2069ab7ed03ec8802b624">setDefaultQueueGroup</a>(uint8 grp)</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#eb5d94b3d357524a08affce11c383374">setDefaultRenderablePriority</a>(ushort priority)</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#4830aa759ae0619a637dc979f8f0d581">setRenderableListener</a>(RenderableListener *listener)</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#ac9a571f752196f24799e5aebb6bd715">setShadowCastersCannotBeReceivers</a>(bool ind)</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#4edec1309abf170a0dd09612911fc4bc">setSplitNoShadowPasses</a>(bool split)</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#12c00d063c95049da895c7bfc8923311">setSplitPassesByLightingType</a>(bool split)</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderQueue.html#15db5053b0d5bbd21cf9e797ea06f0d9">~RenderQueue</a>()</td><td><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:05 2008
</p>
</body>
</html>
